DROP VIEW(7)

NAME
DROP VIEW - remove a view

SYNOPSIS

DROP VIEW [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP VIEW drops an existing view. To execute this command you must be the owner of the view.

PARAMETERS

IF EXISTS
    Do not throw an error if the view does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of the view to remove.

CASCADE
    Automatically drop objects that depend on the view (such as other views).

RESTRICT
    Refuse to drop the view if any objects depend on it. This is the default.

EXAMPLES

This command will remove the view called kinds:

DROP VIEW kinds;

COMPATIBILITY

This command conforms to the SQL standard, except that the standard only allows one view to be dropped per command, and apart from the IF EXISTS option, which is a PostgreSQL extension.

SEE ALSO
ALTER VIEW [alter_view(7)], CREATE VIEW [create_view(7)]